Menu

## AttachmentInterface
in

AttachmentInterface.php : 8

### Table of Contents

__construct() : mixed
  AttachmentInterface constructor.
__toString() : string
getData() : array<string|int, mixed>
  Returns an array with attachment-specific fields.
getId() : string

### Methods

#### __construct()

AttachmentInterface.php : 15

AttachmentInterface constructor.

`public __construct(Game $g, Scene $scene) : mixed`

##### Parameters

$g : Game

  Should not be saved internally.

$scene : Scene

  Should not be saved internally.

##### Return values

mixed —

#### __toString()

AttachmentInterface.php : 16
`public __toString() : string`

##### Return values

string —

#### getData()

AttachmentInterface.php : 23

Returns an array with attachment-specific fields.

`public getData() : array<string|int, mixed>`

##### Return values

array<string|int, mixed> —

#### getId()

AttachmentInterface.php : 17
`public getId() : string`

##### Return values

string —

## Search results